hakyll-4.4.3.0: A static website compiler library

Safe Haskell | None

Hakyll.Core.File

Description

Exports simple compilers to just copy files

Synopsis

- newtype CopyFile = CopyFile FilePath
- copyFileCompiler :: Compiler (Item CopyFile)
- newtype TmpFile = TmpFile FilePath
- newTmpFile :: String -> Compiler TmpFile

# Documentation

newtype CopyFile Source

This will copy any file directly by using a system call

Constructors

CopyFile FilePath |

Instances

Eq CopyFile |
Ord CopyFile |
Show CopyFile |
Typeable CopyFile |
Binary CopyFile |
Writable CopyFile |

copyFileCompiler :: Compiler (Item CopyFile)Source

newtype TmpFile Source

Constructors

TmpFile FilePath |

Instances

Typeable TmpFile |
Binary TmpFile |
Writable TmpFile |

newTmpFile Source

Arguments

:: String | Suffix and extension
-> Compiler TmpFile | Resulting tmp path

Create a tmp file